###### --------------------------- Catalog -------------------------- ######

### The following drivers are Japanese printer drivers list

#	bj10v      Canon BJ-10v/BJ-15v 
#	bj10vh     Canon BJ-10v/BJ-15v/BJ-35v 
#	bjc880j    Canon BJC-880J 
#	dj505j     H-P DeskJet 505J_Plus 
#	escpage    EPSON ESC/Page driver for Ghostscript
#	fmlbp      Fujitsu FMLBP2xx PagePrinter 
#	fmpr       Fujitsu FMPR driver for Ghostscript
#	jj100      Star-JJ-100 
#	lbp310     Canon LBP-310 
#	lbp320     Canon LBP-320Pro,LBP-350 
#	lips2p     Canon LIPS-IIplus 
#	lips4      Canon LIPS-IV 
#	lips4v     Canon LIPS-IVv 
#	lj4dithp   H-P LaserJet 4V/4LJPro 
#	lp2000     EPSON LP-2000/3000/7000G/7000
#	md1xMono   Alps MD-1300/1500  ( this driver support only Black & White mode )
#	md2k       Alps MD-1000/1300/2000/4000
#	md50Eco    Alps MD-5000 Okidata DP5000 ( this driver support only Eco Black mode )
#	md50Mono   Alps MD-5000 Okidata DP5000 ( this driver support only Black & White mode )
#	md5k       Alps MD-5000 Okidata DP5000
#	mj500c     EPSON Stylus Color 200
#	mj6000c    EPSON Stylus Color 400/800/1520
#	mj700v2c   EPSON MachJet/Stylus series
#	mj8000c    EPSON Stylus Color 3000
#	ml600      Okidata Microline 600CL/620CL 
#	npdl       NEC MultiWriter,PC-PR1000/2000 
#	picty180   NEC PICTY180 
#	pr150      NEC PC-PR150 
#	pr201      NEC PC-PR201
#	rpdl       Ricoh RPDL I/II/III/IV drver for Ghostscript
#	dmprt      dot matrix printer driver for Ghostscript ( it can use dviprt printer config file )
#	ljet4pjl   H-P LaserJet 4V/4LJPro
#	mag16      MAKI02(.mag) 4-bit color image 
#	mag256     MAKI02(.mag) 8-bit color image 
#	pr1000     NEC PC-PR1000 Series ( PC-PR201 compatible )
#	pr1000_4   NEC PC-PR1000 Series

###### ----------------------- End of catalog ----------------------- ######

### --------------------Japanese printer addons --------------------- ###
$(DD)ljet4pjl.dev: $(HPMONO) $(DD)page.dev
	$(SETPDEV) $(DD)ljet4pjl $(HPMONO)

$(DD)lj4dithp.dev: $(cdeskjet_) $(DD)page.dev
	$(SETPDEV) $(DD)lj4dithp $(cdeskjet_)

$(DD)dj505j.dev: $(cdeskjet_)
	$(SETPDEV) $(DD)dj505j $(cdeskjet_)

$(DD)picty180.dev: $(cdeskjet_)
	$(SETPDEV) $(DD)picty180 $(cdeskjet_)

# handled in gs6 base
#$(DD)cdj880.dev: $(cdeskjet8_) $(DD)page.dev
#	$(SETPDEV) $(DD)cdj880 $(cdeskjet8_)

### ----------------- The NEC PC-PR201 printer device ----------------- ###

pr201_=$(GLOBJ)gdevp201.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)pr201.dev: $(pr201_)
	$(SETPDEV) $(DD)pr201 $(pr201_)

$(DD)pr150.dev: $(pr201_)
	$(SETPDEV) $(DD)pr150 $(pr201_)

$(DD)pr1000.dev: $(pr201_)
	$(SETPDEV) $(DD)pr1000 $(pr201_)

$(DD)pr1000_4.dev: $(pr201_)
	$(SETPDEV) $(DD)pr1000_4 $(pr201_)

$(GLO_)gdevp201.$(OBJ): $(GLSRC)gdevp201.c $(PDEVH)
	$(GLCC) $(GLO_)gdevp201.$(OBJ) $(C_) $(GLSRC)gdevp201.c

### ----------------- The Star JJ-100 printer device ----------------- ###

jj100_=$(GLOBJ)gdevj100.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)jj100.dev: $(jj100_)
	$(SETPDEV) $(DD)jj100 $(jj100_)

$(GLOBJ)gdevj100.$(OBJ): $(GLSRC)gdevj100.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevj100.c

### ----------------- The Canon BubbleJet BJ10v device ----------------- ###

bj10v_=$(GLOBJ)gdev10v.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)bj10v.dev: $(bj10v_)
	$(SETPDEV) $(DD)bj10v $(bj10v_)

$(DD)bj10vh.dev: $(bj10v_)
	$(SETPDEV) $(DD)bj10vh $(bj10v_)

# Uncomment the following line if you are using MS-DOS on PC9801 series.

$(GLOBJ)gdev10v.$(OBJ): $(GLSRC)gdev10v.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdev10v.c
#	$(GLCC) -DPC9801 $(O_)$@ $(C_) $(GLSRC)gdev10v.c


### ------------------------- MAG file formats ------------------------- ###

maguro_=$(GLOBJ)gdevmag.$(OBJ) $(GLOBJ)gdevpccm.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)
$(GLOBJ)gdevmag.$(OBJ): $(GLSRC)gdevmag.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevmag.c

$(DD)mag16.dev: $(maguro_)
	$(SETDEV) $(DD)mag16 $(maguro_)

$(DD)mag256.dev: $(maguro_)
	$(SETDEV) $(DD)mag256 $(maguro_)

### ---------------- Dot matrix printer device ---------------- ###
dmprt_=$(GLOBJ)gdevdmpr.$(OBJ) $(GLOBJ)dviprlib.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)dmprt.dev: $(dmprt_) $(DD)page.dev
	$(SETDEV) $(DD)dmprt $(dmprt_)
	$(ADDMOD) $(DD)dmprt -ps dmp_init

$(GLOBJ)gdevdmpr.$(OBJ): $(GLSRC)gdevdmpr.c $(GLSRC)dviprlib.h $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevdmpr.c

$(GLOBJ)dviprlib.$(OBJ): $(GLSRC)dviprlib.c $(GLSRC)dviprlib.h
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)dviprlib.c

##
## EPSON MachJet driver 
##

mj700v2c_=$(GLOBJ)gdevmjc.$(OBJ) $(HPPCL)

$(GLOBJ)gdevmjc.$(OBJ): $(GLSRC)gdevmjc.c $(GLSRC)gdevmjc.h $(PDEVH) $(gdevpcl_h)
	$(GLCC) -DA4 $(GLO_)gdevmjc.$(OBJ) $(C_) $(GLSRC)gdevmjc.c

$(DD)mj700v2c.dev: $(mj700v2c_) $(DD)page.dev
	$(SETPDEV) $(DD)mj700v2c $(mj700v2c_)

$(DD)mj500c.dev: $(mj700v2c_) $(DD)page.dev
	$(SETPDEV) $(DD)mj500c $(mj700v2c_)

$(DD)mj6000c.dev: $(mj700v2c_) $(DD)page.dev
	$(SETPDEV) $(DD)mj6000c $(mj700v2c_)

$(DD)mj8000c.dev: $(mj700v2c_) $(DD)page.dev
	$(SETPDEV) $(DD)mj8000c $(mj700v2c_)

### ----------------- The Fujitsu FMPR printer device ----------------- ###

fmpr_=$(GLOBJ)gdevfmpr.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)fmpr.dev: $(fmpr_) $(DD)page.dev
	$(SETPDEV) $(DD)fmpr $(fmpr_)

$(GLOBJ)gdevfmpr.$(OBJ): $(GLSRC)gdevfmpr.c $(PDEVH)
	$(GLCC) $(GLO_)gdevfmpr.$(OBJ) $(C_) $(GLSRC)gdevfmpr.c

### --------------- The Fujitsu FMLBP-2xx printer device --------------- ###

fmlbp_=$(GLOBJ)gdevfmlbp.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)fmlbp.dev: $(fmlbp_) $(DD)page.dev
	$(SETPDEV) $(DD)fmlbp $(fmlbp_)

$(GLOBJ)gdevfmlbp.$(OBJ): $(GLSRC)gdevfmlbp.c $(PDEVH)
	$(GLCC) -DFMLBP_NOADJUST_MARGIN $(O_)$@ $(C_) $(GLSRC)gdevfmlbp.c

### ------ The OKI MICROLINE620CL (IPL) printer device ------- ###
#
#  by N.Tagawa
#
#  $Id: espgs-7.05.3-japanese-contrib.mak,v 1.2 2002/08/29 18:59:13 toshihiro Exp $
#

ml6_=$(GLOBJ)gdevml6.$(OBJ) $(GLOBJ)gdevprn.$(OBJ)

$(DD)ml600.dev: $(ml6_) $(DD)page.dev
	$(SETPDEV) $(DD)ml600 $(ml6_)

$(GLOBJ)gdevml6.$(OBJ): $(GLSRC)gdevml6.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevml6.c
## 
### ----------------- The Okidata OkiPage 4w+ device ------------------- ###
### Note: this driver was contributed by a user: please contact          ###
###       Ivan Schreter (ivan@shadow.sk) if you have questions.          ###

# Provided by gs6
#oki4w_=$(GLOBJ)gdevop4w.$(OBJ)
#
#$(DD)oki4w.dev: $(oki4w_) $(DD)page.dev
#	$(SETPDEV) $(DD)oki4w $(oki4w_)
#
#$(GLOBJ)gdevop4w.$(OBJ): $(GLSRC)gdevop4w.c $(PDEVH)
#	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevop4w.c

lbp3x0_=$(GLOBJ)gdevlbp3.$(OBJ)

$(DD)lbp310.dev:$(lbp3x0_) $(DD)page.dev
	$(SETPDEV) $(DD)lbp310 $(lbp3x0_)

$(DD)lbp320.dev:$(lbp3x0_) $(DD)page.dev
	$(SETPDEV) $(DD)lbp320 $(lbp3x0_)

$(GLOBJ)gdevlbp3.$(OBJ): $(GLSRC)gdevlbp3.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevlbp3.c

# ---------------- Laser Printer devices ---------------- #
# $Id: espgs-7.05.3-japanese-contrib.mak,v 1.2 2002/08/29 18:59:13 toshihiro Exp $

$(GLOBJ)gdevlprn.$(OBJ): $(GLSRC)gdevlprn.c $(GLSRC)gdevlprn.h\
 $(gdevprn_h) $(PDEVH)
	$(GLCC) $(GLO_)gdevlprn.$(OBJ) $(C_) $(GLSRC)gdevlprn.c

### --- The Canon LIPS II+/III/IVc/IV printer device --- ###

lipsr_=$(GLOBJ)gdevl4r.$(OBJ) $(GLOBJ)gdevlips.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ)

$(GLOBJ)gdevl4r.$(OBJ): $(GLSRC)gdevl4r.c $(GLSRC)gdevlips.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevl4r.$(OBJ) $(C_) $(GLSRC)gdevl4r.c

$(GLOBJ)gdevlips.$(OBJ): $(GLSRC)gdevlips.c
	$(GLCC) $(GLO_)gdevlips.$(OBJ) $(C_) $(GLSRC)gdevlips.c

$(DD)lips2p.dev: $(lipsr_) $(DD)page.dev
	$(SETPDEV) $(DD)lips2p $(lipsr_)

$(DD)lips3.dev: $(lipsr_) $(DD)page.dev
	$(SETPDEV) $(DD)lips3 $(lipsr_)

$(DD)bjc880j.dev: $(lipsr_) $(DD)page.dev
	$(SETPDEV) $(DD)bjc880j $(lipsr_)

$(DD)lips4.dev: $(lipsr_) $(DD)page.dev
	$(SETPDEV) $(DD)lips4 $(lipsr_)

lipsv_=$(GLOBJ)gdevl4v.$(OBJ) $(GLOBJ)gdevlips.$(OBJ)

$(DD)lips4v.dev: $(ECHOGS_XE) $(lipsv_) $(DD)vector.dev
	$(SETDEV) $(DD)lips4v $(lipsv_)
	$(ADDMOD) $(DD)lips4v -include $(GLD)vector

$(GLOBJ)gdevl4v.$(OBJ): $(GLSRC)gdevl4v.c $(GLSRC)gdevlips.h $(GDEV) $(math__h)\
 $(gscspace_h) $(gsutil_h) $(gsparam_h) $(gsmatrix_h) $(gdevvec_h)\
 $(ghost_h) $(gzstate_h) $(igstate_h)
	$(GLCC) -DA4 $(GLO_)gdevl4v.$(OBJ) $(C_) $(GLSRC)gdevl4v.c

### --- The NEC NPDL language printer device ------ ###

npdl_=$(GLOBJ)gdevnpdl.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ)

$(GLOBJ)gdevnpdl.$(OBJ): $(GLSRC)gdevnpdl.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevnpdl.$(OBJ) $(C_) $(GLSRC)gdevnpdl.c

$(DD)npdl.dev: $(npdl_) $(DD)page.dev
	$(SETPDEV) $(DD)npdl $(npdl_)

### ------- EPSON ESC/Page printer device ----------------- ###

escpage_=$(GLOBJ)gdevespg.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ) $(GLOBJ)gdevlips.$(OBJ)

$(GLOBJ)gdevespg.$(OBJ): $(GLSRC)gdevespg.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevespg.$(OBJ) $(C_) $(GLSRC)gdevespg.c

$(DD)escpage.dev: $(escpage_) $(DD)page.dev
	$(SETPDEV) $(DD)escpage $(escpage_)

$(DD)lp2000.dev: $(escpage_) $(DD)page.dev
	$(SETPDEV) $(DD)lp2000 $(escpage_)

### ------------ The ALPS Micro Dry printer devices ------------ ###

alps_=$(GLOBJ)gdevalps.$(OBJ)

$(DD)md50Mono.dev: $(alps_) $(DD)page.dev
	$(SETPDEV) $(DD)md50Mono $(alps_)

$(DD)md50Eco.dev: $(alps_) $(DD)page.dev
	$(SETPDEV) $(DD)md50Eco $(alps_)

$(DD)md1xMono.dev: $(alps_) $(DD)page.dev
	$(SETPDEV) $(DD)md1xMono $(alps_)

$(GLOBJ)gdevalps.$(OBJ): $(GLSRC)gdevalps.c $(PDEVH)
	$(GLCC) $(O_)$@ $(C_) $(GLSRC)gdevalps.c

### --- The RICOH RPDL language printer device ------ ###

rpdl_=$(GLOBJ)gdevrpdl.$(OBJ) $(GLOBJ)gdevlprn.$(OBJ)
$(GLOBJ)gdevrpdl.$(OBJ): $(GLSRC)gdevrpdl.c $(GLSRC)gdevlprn.h $(PDEVH)
	$(GLCC) -DA4 $(GLO_)gdevrpdl.$(OBJ) $(C_) $(GLSRC)gdevrpdl.c

$(DD)rpdl.dev: $(rpdl_) $(DD)page.dev
	$(SETPDEV) $(DD)rpdl $(rpdl_)

### ---------- RICOH RPDL IV(600dpi) printer devices ---------- ###
#rpdl_=$(GLOBJ)gdevrpdl.$(OBJ)
#$(GLOBJ)gdevrpdl.$(OBJ) : $(GLSRC)gdevrpdl.c
#	$(GLCC) $(GLO_)gdevrpdl.$(OBJ) $(C_) $(GLSRC)gdevrpdl.c
#
#$(DD)nx100f.dev: $(rpdl_) page.dev
#	$(SETPDEV2) nx100f $(rpdl_)
#
#$(DD)nx100v.dev: $(rpdl_) page.dev
#	$(SETPDEV2) nx100v $(rpdl_)

### ------------ ALPS MD series printer devices ------------ ###

md2k_=$(GLOBJ)gdevmd2k.$(OBJ)

$(DD)md2k.dev: $(md2k_) $(DD)page.dev
	$(SETPDEV) $(DD)md2k $(md2k_)

$(DD)md5k.dev: $(md2k_) $(DD)page.dev
	$(SETPDEV) $(DD)md5k $(md2k_)

$(GLOBJ)gdevmd2k.$(OBJ): $(GLSRC)gdevmd2k.c $(PDEVH) $(gsparam_h)
	$(GLCC) $(GLO_)gdevmd2k.$(OBJ) $(C_) $(GLSRC)gdevmd2k.c
