#
# spec file for package ghostscript-library (Version 7.07.1rc1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  XFree86 cups-devel cups-libs ed gcc-c++ glib glib-devel gtk gtk-devel gtkmm gtkmm-devel libjpeg libpng-devel-packages libsigc++ libsigc++-devel libstdc++-devel libtiff libxml libxml-devel libxml2 libxml2-devel openssl openssl-devel t1utils x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cups-devel cups-libs ed expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel gtkmm gtkmm-devel libjpeg libpng libpng-devel libsigc++ libsigc++-devel libstdc++-devel libtiff libtool libxml libxml-devel libxml2 libxml2-devel openssl-devel perl rpm t1utils

Name:         ghostscript-library
%define   GSVER 7.07.1rc1
%define  GSMAIN 7.07
%define    JPEG 6b
%define PCL3VER 3.3
%define HPDJVER 2.6
%define  HP820C 0.2.0
%define   PRINT 4.2.6
%define   HPIJS -1.4.1
%define    OMNI 0.9.0
Group:        System/Libraries
%if "%name" != "ghostscript-mini"
Provides:     ghostscript gs gs_lib pstoraster
Obsoletes:    gs_lib
Requires:     ghostscript_any
%else  # if ghostscript-mini
Provides:     ghostscript gs gs_lib pstoraster ghostscript_any
Obsoletes:    gs_lib
Conflicts:    ghostscript-library
%endif # if ghostscript-mini
Autoreqprov:  on
Summary:      Necessary files for running Ghostscript
Version:      7.07.1rc1
Release:      195.1
License:      GPL, Other License(s), see package
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      espgs-%{GSVER}.tar.bz2
Source1:      jpegsrc.v%{JPEG}.tar.bz2
# http://www.ghostscript.com/article/44.html
# ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ghostscript-fonts-std-8.11.tar.gz
Source2:      gnu-gs-fonts-std-8.11.tar.bz2
Source3:      gnu-gs-fonts-other-6.0.tar.bz2
Source5:      hpijs%{HPIJS}.tar.bz2
Source6:      gimp-print-%{PRINT}.tar.bz2
Source7:      Omni-%{OMNI}.tar.bz2
Source9:      epson740.tar.bz2
Source12:     gdevcd8-cdj880.c.bz2
Source13:     gdevcd8-chp2200.c.bz2
Source16:     gs_rusfonts.tar.bz2
Source18:     samsung-gdi-driver.tar.bz2
Source19:     http://www.epkowa.co.jp/eplaser-3.1.3-705.tar.bz2
Source22:     hpdj-%{HPDJVER}.tar.bz2
Source30:     gs550j03.tar.bz2
Source31:     espgs-%{GSVER}-japanese-contrib.mak
Source40:     fonts.scale.nimbus-sans-condensed
Patch0:       espgs-%{GSVER}.dif
Patch2:       hpijs%{HPIJS}-gcc34.dif
Patch3:       espgs-%{GSVER}-omni.dif
Patch4:       Omni-%{OMNI}.dif
Patch6:       samsung-gdi-driver.dif
Patch7:       eplaser-3.1.3-705.patch
Patch10:      gimp-print-%{PRINT}.dif
Patch11:      espgs-%{GSVER}-malloc.dif
Patch12:      espgs-%{GSVER}-antialias.dif
Patch14:      espgs-%{GSVER}-cups.dif
Patch15:      gimp-print-%{PRINT}-pcl.dif
Patch16:      gimp-print-%{PRINT}-epson_horizontal_adjustment.patch
Patch17:      gimp-print-%{PRINT}-page_counting.patch
Patch30:      ghostscript-6.51-gx_device.patch
Patch31:      ghostscript-6.51-gsj_update.patch
Patch33:      espgs-%{GSVER}-gdevlips-2.4.0.diff
Patch35:      gs_ttf.ps.patch
Patch36:      gs_res.ps.in.patch
Patch38:      ghostscript-7.07-bigposttable.patch
Patch39:      ghostscript-7.07-gsublookuptable.patch
Patch40:      ghostscript-7.07-coverage-glyphcount.patch
Patch41:      ghostscript-7.07-newautoconf.patch
Patch42:      gs_ttf-sun.ps.patch
Patch43:      espgs-7.07.1rc1-imagemask.dif
Patch44:      gnu-gs-fonts-std-8.11.patch

%description
This package contains all startup files for calling gs (Ghostscript).

You will find some useful documentation about a few printer drivers in
the directory:

/usr/share/ghostscript/7.07/doc/

Please read the files use.txt, devices.txt, and for the experimental
drivers cdj670, cdj850, cdj890, and cdj1600 the file readme.hp8 in the
sub-directory hp8xx/.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%if "%name" != "ghostscript-mini"
%package     -n ghostscript-x11
Conflicts:    ghostscript-vga ghostscript-serv ghostscript-both
PreReq:       fileutils
Requires:     ghostscript-library ghostscript-fonts-std xshared
Summary:      Ghostscript for the X Window System
Group:        Productivity/Publishing/PS
Provides:     ghostscript_any gs_x11 ghostscript_x11
Obsoletes:    gs_x11
Autoreqprov:  on

%description -n ghostscript-x11
If you plan to preview PostScript documents under the X Window System
you need to install this.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-serv
Conflicts:    ghostscript-vga ghostscript-x11 ghostscript-both
PreReq:       fileutils
Requires:     ghostscript-library ghostscript-fonts-std
Summary:      Ghostscript without X11 and without VGA features
Group:        Productivity/Publishing/PS
Provides:     ghostscript_any gs_serv ghostscript_serv
Obsoletes:    gs_serv
Autoreqprov:  on

%description -n ghostscript-serv
This gs version should only be installed on print servers without X11.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-std
Summary:      Standard Fonts for Ghostscript
PreReq:       fileutils %suseconfig_fonts_prereq
Group:        Productivity/Publishing/PS
Provides:     gs_fonts
Obsoletes:    gs_fonts

%description -n ghostscript-fonts-std
The necessary fonts for the PostScript interpreter Ghostscript.  The
URW fonts (URW Software, Poppenbtteler Bogen 29A, D-22399 Hamburg,
Germany).



%package     -n ghostscript-fonts-other
Summary:      Optional fonts for Ghostscript
Group:        Productivity/Publishing/PS
Provides:     gs_fonto
Obsoletes:    gs_fonto

%description -n ghostscript-fonts-other
Some useful fonts for the Ghostscript PostScript interpreter.



%package     -n ghostscript-fonts-rus
Summary:      Russian fonts for ghostscript
Group:        Productivity/Publishing/PS
Provides:     gs_fontr
Obsoletes:    gs_fontr

%description -n ghostscript-fonts-rus
Russian fonts for ghostscript



Authors:
--------
    Eugene V. Demidov <jack@gpi.ru>

%package -n libgimpprint
Version:      4.2.6
Release:      46.1
Summary:      Gimp-Print libraries
Group:        Development/Libraries/C and C++

%description -n libgimpprint
Libraries to print with The GIMP



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%package -n libgimpprint-devel
Version:      4.2.6
Release:      46.1
Requires:     %install_info_prereq
Summary:      Gimp-Print include files
Group:        Development/Libraries/C and C++

%description -n libgimpprint-devel
Gimp-Print include files



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%endif
%prep
%setup -q -n espgs-%{GSVER} -a 1 -a 5 -a 6 -a 7 -a 9
test -f lib/bjc6000a1.upp     || cp ${RPM_SOURCE_DIR}/bjc6000a1.upp lib/
test -f lib/bjc6000b1.upp     || cp ${RPM_SOURCE_DIR}/bjc6000b1.upp lib/
test -f lib/s400a1.upp        || cp ${RPM_SOURCE_DIR}/s400a1.upp lib/
test -f lib/s400b1.upp        || cp ${RPM_SOURCE_DIR}/s400b1.upp lib/
test -f src/gdevcd8-chp2200.c || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-chp2200.c.bz2 > src/gdevcd8-chp2200.c
test -f src/gdevcd8-cdj880.c  || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-cdj880.c.bz2  > src/gdevcd8-cdj880.c
#
# OMNI use spaces within file names: set hard link for patch program
#
for x in Omni/*/*.[ch]pp ; do
    case "$x" in
	*\ *)
	d="${x%%/*}"
	y="${x##*/}"
	pushd "$d"
	mv "${y}" "${y// /~}"
	ln -sf "${y// /~}" "${y}"
	popd
	;;
    esac
done
ln -sf "HP LaserJet" Omni/HP~LaserJet
#
# Flags
test ! -f /.buildenv || . /.buildenv
if [[ "$BUILD_BASENAME" = debug-* ]] ; then
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -g"
else
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
fi
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE -pipe"
export CFLAGS RPM_OPT_FLAGS
#
# .upp's for stc
{
    ln -sf $PWD/epson740/*.upp lib/
}
# Enables ijs server
#
{
    cd ijs/
    autoconf
    cd ../
}
#
# driver stp
{
    ln  -sf gimp-print-%{PRINT} stp
##  ln  -sf $PWD/stp/src/ghost/*.[ch]   src/
    ln  -sf $PWD/stp/src/ghost/gs-stp.1 man/
}
#
# driver hpdj
mkdir hpdj
{
    cd hpdj/
    bzip2 -dc ${RPM_SOURCE_DIR}/hpdj-%{HPDJVER}.tar.bz2 | tar Oxf - hpdj-%{HPDJVER}/hpdj.tar | tar xf -
    mv NEWS NEWS.hpdj
    mv pclcomp.c   pclcomp.c.bak
    mv pagecount.c pagecount.c.bak
    cd ../
}
ln -s $PWD/hpdj/*.[ch] src/
ln -s $PWD/hpdj/*.1    man/
#
# original driver from HP
{
   ln -sf hpijs%{HPIJS} hpijs
   cd hpijs/
   cp -av ../Omni/config.{guess,sub} .
%if "%name" != "ghostscript-mini"
   CXX="g++ ${RPM_OPT_FLAGS} -pipe" ./configure --prefix=/usr
%endif
   cd ../
}
#
# Samsung SMART GDI driver
{
   bzip2 -dc ${RPM_SOURCE_DIR}/samsung-gdi-driver.tar.bz2 | tar xf - -C src/
}
#
# EPSON KOWA Corporation drivers
{
   bzip2 -dc %{SOURCE19} | tar xf - -C src/
   ln -sf $PWD/src/eplaser-3.1.3/gdevescv7.mak src/gdevescv.mak
   ln -sf $PWD/src/eplaser-3.1.3/gdevesmv7.mak src/gdevesmv.mak
}
#
# For some legacy japanese printers
{
   bzip2 -dc %{SOURCE30} | tar xf - --exclude gdevcd8.c -C src/
   rm -f src/jdrivers.mak
   cp %{SOURCE31} src/jdrivers.mak
   cp src/*.{ps,src} lib/
}
#
#
%patch2  -p0 -b .hpijs
%patch3  -p0 -b .omni
%patch4  -p0 -b .OMNI
%patch6  -p0 -b .sggdi
%patch7  -p0 -b .eplaser
%patch10 -p0 -b .stp
%ifnarch ppc
%patch11 -p0 -b .malloc
%endif
%patch12 -p0 -b .aa
%patch14 -p0 -b .cups
%patch15 -p0 -b .stppcl
%patch16 -p0 -b .escp2offset
%patch17 -p0 -b .pgcnt
# For some legacy japanese printers
%patch30 -p1 -b .gx_device
%patch31 -p1 -b .gsj_update
# updated drivers: bjc880j escpage lips2p lips4 lips4v lp2000 rpdl
%patch33 -p1 -b .lips240
%patch35 -p1
%patch36 -p0
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p0
%patch43 -p0
#
# main patch
%patch0  -p0
#

%build
test ! -f /.buildenv || . /.buildenv
export LC_CTYPE=en_US
if [[ "$BUILD_BASENAME" = debug-* ]] ; then
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -g"
  FLAGS="XLDFLAGS=-g XCFLAGS=-g XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib}"
else
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
  FLAGS="XLDFLAGS=-s XCFLAGS= XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib}"
fi
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE -pipe"
export CFLAGS RPM_OPT_FLAGS
%if "%name" != "ghostscript-mini"
./configure --prefix=/usr --libdir=%{_libdir} \
	--mandir=%{_mandir} --infodir=%{_infodir}
#
# ijs:
{
    cd ijs/
    sh ./configure %{_target_cpu}-suse-linux \
	--prefix=/usr		\
	--mandir=/usr/share/man \
	--libdir=%{_libdir}	\
	--infodir=/usr/share/info
    cd ../
}
make -C ijs/
#
# stp:
{
    cd stp/
    IJS_CONFIG=$PWD/../ijs/ijs-config \
    GTK_CONFIG=/usr/bin/gtk-config \
    sh ./configure %{_target_cpu}-suse-linux \
	--prefix=/usr		\
	--mandir=%{_mandir}	\
	--infodir=%{_infodir}	\
	--libdir=%{_libdir}	\
	--without-cups		\
	--with-ijs		\
	--with-ghost		\
	--without-gimp		\
	--enable-escputil	\
	--enable-lexmarkutil	\
	--enable-libgimpprint
    cd ../
}
make -C stp/ 		  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
make -C stp/lib/	  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
make -C stp/src/ghost/	  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
make -C stp/src/escputil/ IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
#
# hpijs/hpijs:
make -C hpijs/
#
# Omni/libomni.so:
cd Omni/
	cat /usr/share/aclocal/libtool.m4 >> aclocal.m4
	libtoolize --force
	./setupOmni
	make
cd ../
#
#
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=x     ${FLAGS} GLIBOPT="`glib-config --cflags`"
cp bin/gs bin/gs_x11
#
# bin/gs_serv:
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=serv  ${FLAGS} GLIBOPT="`glib-config --cflags`"
cp bin/gs bin/gs_serv
#
# bin/catalog.devices:
LD_LIBRARY_PATH=src/../stp/src/main/.libs/ sh src/make.catalog > bin/catalog.devices
#
# bin/pcl3opts
make -f src/unix-gcc.mak pcl3opts     ${FLAGS}
##
%else	# if ghostscript-mini
#
./configure --prefix=/usr --libdir=%{_libdir} \
	--mandir=%{_mandir} --infodir=%{_infodir}
# bin/gs_mini:
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=mini  ${FLAGS} GLIBOPT="`glib-config --cflags`"
cp bin/gs bin/gs_mini
#
# bin/catalog.devices:
touch bin/catalog.devices
%endif  # if ghostscript-mini

%install
#
cd lib/;      sh ../src/make.psready; cd ../
cd examples/; sh ../src/make.psready; cd ../
#
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}
mkdir -p ${RPM_BUILD_ROOT}/usr/share
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man
#
make -f src/unix-gcc.mak prefix=${RPM_BUILD_ROOT}/usr \
			 install_prefix=${RPM_BUILD_ROOT} \
%if "%name" != "ghostscript-mini"
			 mandir=${RPM_BUILD_ROOT}%{_mandir} install pcl3-install device=serv
%else
			 mandir=${RPM_BUILD_ROOT}%{_mandir} install device=mini
%endif
install -m 0644 lib/pphs.ps ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/lib/
#
rm -f ${RPM_BUILD_ROOT}/usr/bin/lprsetup.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pj-gs.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pv.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/sysvlp.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/unix-lpr.sh
mv    ${RPM_BUILD_ROOT}/usr/bin/fixmswrd.pl ${RPM_BUILD_ROOT}/usr/bin/fixmswrd
#
rm -f ${RPM_BUILD_ROOT}/usr/bin/gs
%if "%name" != "ghostscript-mini"
install -s -m 0755 bin/gs_x11 bin/gs_serv ${RPM_BUILD_ROOT}/usr/bin/
#
# ijs:
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}/usr/include/ijs
make -C ijs/ DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}/usr/bin/ijs_client_example
#
# stp:
make -C stp DESTDIR=${RPM_BUILD_ROOT} install
rm -rf ${RPM_BUILD_ROOT}/usr/share/locale/en_TEST
#
install -m 0755 -s hpijs/hpijs               ${RPM_BUILD_ROOT}/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}/ghostscript/
#
find Omni/ -name '*.so' | while read l ; do
    strip -g "$l"
    install -m 0755 "$l" ${RPM_BUILD_ROOT}/usr/%{_lib}/ghostscript/
done
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/Omni
install -m 0444 Omni/docs/* ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/Omni/
#
%else  # if ghostscript-mini
install -s -m 0755 bin/gs_mini ${RPM_BUILD_ROOT}/usr/bin/
rm -f ${RPM_BUILD_ROOT}/usr/bin/gs 2>/dev/null
ln -s gs_mini ${RPM_BUILD_ROOT}/usr/bin/gs
%endif # if ghostscript-mini
for m in ${RPM_BUILD_ROOT}%{_mandir}/man1/*.1 ; do
    if test -L $m ; then
	d=`find $m -printf '%%l'`
	rm -f $m
	ln -sf ${d}.gz ${m}.gz
    else
	gzip -f9v $m
    fi
done
#
rm -rf   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
#
ln -sf /usr/share/ghostscript/%{GSMAIN}/doc \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/doc
ln -sf /usr/share/ghostscript/%{GSMAIN}/examples \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/examples
install -m 0444 bin/catalog.devices ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/
install -m 0444 doc/index.html ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/
#
rm -rf   ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
#
tar xfj ${RPM_SOURCE_DIR}/gnu-gs-fonts-std-8.11.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
    for i in n021004l n021024l n022004l n022023l n022024l
    do
        t1ascii $i.pfb > $i.pfa
    done
    patch -p0 -i $RPM_SOURCE_DIR/gnu-gs-fonts-std-8.11.patch
    for i in n021004l n021024l n022004l n022023l n022024l
    do
        t1binary $i.pfa > $i.pfb
	rm $i.pfa
    done    
popd
rm -rf ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/{COPYING,ChangeLog,README,README.tweaks,TODO}
install -m 644 $RPM_SOURCE_DIR/fonts.scale.nimbus-sans-condensed \
   ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
tar xfj ${RPM_SOURCE_DIR}/gnu-gs-fonts-other-6.0.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
#
tar xfj ${RPM_SOURCE_DIR}/gs_rusfonts.tar.bz2 \
    -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/
    mv gs_rusfonts/fonts/*.{afm,pfb,pfm} fonts/
    echo ""  > %{GSMAIN}/lib/Fontmap.rus
    echo "%% Russian Post Script fonts from Eugeni Demidov (ftp.kapella.gpi.ru)" >> %{GSMAIN}/lib/Fontmap.rus
    echo "%% ArialCyrMT, CourierCyrPS, TimesCyrMT, ERKurierKOI8-R"               >> %{GSMAIN}/lib/Fontmap.rus
    sed 's@$@;@g' gs_rusfonts/fonts/Fontmap.ad                                   >> %{GSMAIN}/lib/Fontmap.rus
    echo ""  >> %{GSMAIN}/lib/Fontmap.rus
    install -m 0444 -o root -g root gs_rusfonts/docs/* ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/
    rm -rf gs_rusfonts/
popd
#
##############################################################
#
chown -R root:root ${RPM_BUILD_ROOT}/usr/share/ghostscript/
set +x
find ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/ -type f | xargs chmod 0444
set -x
#
# Create links to make the fonts usable with X11:
#
rm -rf   ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/URW
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts
ln -sf /usr/share/ghostscript/fonts ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/URW
#
#
# clean up buildroot --- remove unpackaged files
rm -rf ${RPM_BUILD_ROOT}/usr/share/gimp-print/doc
rm -rf ${RPM_BUILD_ROOT}/usr/share/gimp-print/samples
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/de/man1
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man1/ansi2knr.1*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man1/ijsgimpprint.1*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man8/cups-calibrate.8*
%if "%name" == "ghostscript-mini"
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/README.rusfonts
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/rusps.txt
%endif
 
%if "%name" != "ghostscript-mini"

%pre -n ghostscript-fonts-std
if test -d usr/X11R6/lib/X11/fonts/URW -a ! -L usr/X11R6/lib/X11/fonts/URW; then
  rm -rf usr/X11R6/lib/X11/fonts/URW
fi

%post -n ghostscript-fonts-std
%run_suseconfig -m fonts
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi

%postun -n ghostscript-fonts-std
%run_suseconfig -m fonts
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi

%post -n ghostscript-x11
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_x11  usr/bin/gs

%post -n ghostscript-serv
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_serv usr/bin/gs

%post -n libgimpprint-devel
%install_info --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz

%postun -n libgimpprint-devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz
%endif

%files
%doc CHANGES LICENSE README README.espgs doc/COPYING.LGPL doc/COPYING
%if "%name" == "ghostscript-mini"
/usr/bin/gs
/usr/bin/gs_mini
/usr/share/ghostscript/fonts
%else  # if not ghostscript-mini
%config %attr(-,lp,sys) /etc/cups/pstoraster.convs
/usr/bin/escputil
/usr/bin/hpijs
/usr/bin/ijs-config
/usr/bin/ijsgimpprint
/usr/bin/pcl3opts
%endif # if not ghostscript-mini
/usr/bin/gsbj
/usr/bin/gsdj
/usr/bin/gsdj500
/usr/bin/gslj
/usr/bin/gslp
/usr/bin/gsnd
/usr/bin/bdftops
/usr/bin/dvipdf
/usr/bin/eps2eps
/usr/bin/font2c
/usr/bin/pdf2dsc
/usr/bin/pdf2ps
/usr/bin/pdfopt
/usr/bin/pf2afm
/usr/bin/pfbtopfa
/usr/bin/printafm
/usr/bin/ps2ascii
/usr/bin/ps2epsi
/usr/bin/ps2pdf
/usr/bin/ps2pdf12
/usr/bin/ps2pdf13
/usr/bin/ps2pdf14
/usr/bin/ps2pdfwr
/usr/bin/ps2ps
/usr/bin/wftopfa
/usr/bin/fixmswrd
%if "%name" != "ghostscript-mini"
%dir %{_libdir}/cups
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/pstoraster
%{_libdir}/cups/filter/pstopxl
%dir /usr/share/cups
%dir /usr/share/cups/model
/usr/share/cups/model/pxlcolor.ppd
/usr/share/cups/model/pxlmono.ppd
%dir %{_libdir}/ghostscript
%{_libdir}/ghostscript/*.so
%{_libdir}/libijs.a
%{_libdir}/libijs.so
%dir /usr/include/ijs
/usr/include/ijs/ijs.h
/usr/include/ijs/ijs_client.h
/usr/include/ijs/ijs_server.h
%endif
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{GSMAIN}/
/usr/share/ghostscript/%{GSMAIN}/lib/
%doc /usr/share/ghostscript/%{GSMAIN}/doc/
%doc /usr/share/ghostscript/%{GSMAIN}/examples/
%doc %dir %{_defaultdocdir}/ghostscript
%doc %{_defaultdocdir}/ghostscript/catalog.devices
%doc %{_defaultdocdir}/ghostscript/doc
%doc %{_defaultdocdir}/ghostscript/examples
%doc %{_mandir}/man1/dvipdf.1.gz
%doc %{_mandir}/man1/e*
%doc %{_mandir}/man1/font2c.1.gz
%doc %{_mandir}/man1/gs*
%doc %{_mandir}/man1/p*
%doc %{_mandir}/man1/wftopfa.1.gz
%if "%name" != "ghostscript-mini"

%files -n ghostscript-x11
/usr/bin/gs_x11

%files -n ghostscript-serv
/usr/bin/gs_serv

%files -n ghostscript-fonts-std
%defattr(0644,root,root,0755)
/usr/X11R6/lib/X11/fonts/URW
%dir /usr/share/ghostscript/fonts
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.scale
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.scale.*
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.dir
/usr/share/ghostscript/fonts/a010013l.afm
/usr/share/ghostscript/fonts/a010015l.afm
/usr/share/ghostscript/fonts/a010033l.afm
/usr/share/ghostscript/fonts/a010035l.afm
/usr/share/ghostscript/fonts/b018012l.afm
/usr/share/ghostscript/fonts/b018015l.afm
/usr/share/ghostscript/fonts/b018032l.afm
/usr/share/ghostscript/fonts/b018035l.afm
/usr/share/ghostscript/fonts/c059013l.afm
/usr/share/ghostscript/fonts/c059016l.afm
/usr/share/ghostscript/fonts/c059033l.afm
/usr/share/ghostscript/fonts/c059036l.afm
/usr/share/ghostscript/fonts/d050000l.afm
/usr/share/ghostscript/fonts/n019003l.afm
/usr/share/ghostscript/fonts/n019004l.afm
/usr/share/ghostscript/fonts/n019023l.afm
/usr/share/ghostscript/fonts/n019024l.afm
/usr/share/ghostscript/fonts/n019043l.afm
/usr/share/ghostscript/fonts/n019044l.afm
/usr/share/ghostscript/fonts/n019063l.afm
/usr/share/ghostscript/fonts/n019064l.afm
/usr/share/ghostscript/fonts/n021003l.afm
/usr/share/ghostscript/fonts/n021004l.afm
/usr/share/ghostscript/fonts/n021023l.afm
/usr/share/ghostscript/fonts/n021024l.afm
/usr/share/ghostscript/fonts/n022003l.afm
/usr/share/ghostscript/fonts/n022004l.afm
/usr/share/ghostscript/fonts/n022023l.afm
/usr/share/ghostscript/fonts/n022024l.afm
/usr/share/ghostscript/fonts/p052003l.afm
/usr/share/ghostscript/fonts/p052004l.afm
/usr/share/ghostscript/fonts/p052023l.afm
/usr/share/ghostscript/fonts/p052024l.afm
/usr/share/ghostscript/fonts/s050000l.afm
/usr/share/ghostscript/fonts/z003034l.afm
/usr/share/ghostscript/fonts/a010013l.pfm
/usr/share/ghostscript/fonts/a010015l.pfm
/usr/share/ghostscript/fonts/a010033l.pfm
/usr/share/ghostscript/fonts/a010035l.pfm
/usr/share/ghostscript/fonts/b018012l.pfm
/usr/share/ghostscript/fonts/b018015l.pfm
/usr/share/ghostscript/fonts/b018032l.pfm
/usr/share/ghostscript/fonts/b018035l.pfm
/usr/share/ghostscript/fonts/n019003l.pfm
/usr/share/ghostscript/fonts/n019004l.pfm
/usr/share/ghostscript/fonts/n019023l.pfm
/usr/share/ghostscript/fonts/n019024l.pfm
/usr/share/ghostscript/fonts/n019064l.pfm
/usr/share/ghostscript/fonts/n021003l.pfm
/usr/share/ghostscript/fonts/n021004l.pfm
/usr/share/ghostscript/fonts/n021023l.pfm
/usr/share/ghostscript/fonts/n021024l.pfm
/usr/share/ghostscript/fonts/z003034l.pfm
/usr/share/ghostscript/fonts/a010013l.pfb
/usr/share/ghostscript/fonts/a010015l.pfb
/usr/share/ghostscript/fonts/a010033l.pfb
/usr/share/ghostscript/fonts/a010035l.pfb
/usr/share/ghostscript/fonts/b018012l.pfb
/usr/share/ghostscript/fonts/b018015l.pfb
/usr/share/ghostscript/fonts/b018032l.pfb
/usr/share/ghostscript/fonts/b018035l.pfb
/usr/share/ghostscript/fonts/c059013l.pfb
/usr/share/ghostscript/fonts/c059016l.pfb
/usr/share/ghostscript/fonts/c059033l.pfb
/usr/share/ghostscript/fonts/c059036l.pfb
/usr/share/ghostscript/fonts/d050000l.pfb
/usr/share/ghostscript/fonts/n019003l.pfb
/usr/share/ghostscript/fonts/n019004l.pfb
/usr/share/ghostscript/fonts/n019023l.pfb
/usr/share/ghostscript/fonts/n019024l.pfb
/usr/share/ghostscript/fonts/n019043l.pfb
/usr/share/ghostscript/fonts/n019044l.pfb
/usr/share/ghostscript/fonts/n019063l.pfb
/usr/share/ghostscript/fonts/n019064l.pfb
/usr/share/ghostscript/fonts/n021003l.pfb
/usr/share/ghostscript/fonts/n021004l.pfb
/usr/share/ghostscript/fonts/n021023l.pfb
/usr/share/ghostscript/fonts/n021024l.pfb
/usr/share/ghostscript/fonts/n022003l.pfb
/usr/share/ghostscript/fonts/n022004l.pfb
/usr/share/ghostscript/fonts/n022023l.pfb
/usr/share/ghostscript/fonts/n022024l.pfb
/usr/share/ghostscript/fonts/p052003l.pfb
/usr/share/ghostscript/fonts/p052004l.pfb
/usr/share/ghostscript/fonts/p052023l.pfb
/usr/share/ghostscript/fonts/p052024l.pfb
/usr/share/ghostscript/fonts/s050000l.pfb
/usr/share/ghostscript/fonts/z003034l.pfb

%files -n ghostscript-fonts-other
%defattr(0644,root,root,0755)
%dir /usr/share/ghostscript/fonts
/usr/share/ghostscript/fonts/bchb.afm
/usr/share/ghostscript/fonts/bchbi.afm
/usr/share/ghostscript/fonts/bchr.afm
/usr/share/ghostscript/fonts/bchri.afm
/usr/share/ghostscript/fonts/fcyr.afm
/usr/share/ghostscript/fonts/fcyri.afm
/usr/share/ghostscript/fonts/u003043t.afm
/usr/share/ghostscript/fonts/u004006t.afm
/usr/share/ghostscript/fonts/fcyr.gsf
/usr/share/ghostscript/fonts/fcyri.gsf
/usr/share/ghostscript/fonts/fhirw.gsf
/usr/share/ghostscript/fonts/fkarw.gsf
/usr/share/ghostscript/fonts/hrgerb.gsf
/usr/share/ghostscript/fonts/hrgerd.gsf
/usr/share/ghostscript/fonts/hrgero.gsf
/usr/share/ghostscript/fonts/hrgkc.gsf
/usr/share/ghostscript/fonts/hrgks.gsf
/usr/share/ghostscript/fonts/hrgrrb.gsf
/usr/share/ghostscript/fonts/hrgrro.gsf
/usr/share/ghostscript/fonts/hritrb.gsf
/usr/share/ghostscript/fonts/hritro.gsf
/usr/share/ghostscript/fonts/hrpldb.gsf
/usr/share/ghostscript/fonts/hrpldbi.gsf
/usr/share/ghostscript/fonts/hrplr.gsf
/usr/share/ghostscript/fonts/hrplrb.gsf
/usr/share/ghostscript/fonts/hrplrbo.gsf
/usr/share/ghostscript/fonts/hrplro.gsf
/usr/share/ghostscript/fonts/hrpls.gsf
/usr/share/ghostscript/fonts/hrplsb.gsf
/usr/share/ghostscript/fonts/hrplsbo.gsf
/usr/share/ghostscript/fonts/hrplso.gsf
/usr/share/ghostscript/fonts/hrpltb.gsf
/usr/share/ghostscript/fonts/hrpltbi.gsf
/usr/share/ghostscript/fonts/hrsccb.gsf
/usr/share/ghostscript/fonts/hrscco.gsf
/usr/share/ghostscript/fonts/hrscsb.gsf
/usr/share/ghostscript/fonts/hrscso.gsf
/usr/share/ghostscript/fonts/hrsyr.gsf
/usr/share/ghostscript/fonts/u003043t.gsf
/usr/share/ghostscript/fonts/u004006t.gsf
/usr/share/ghostscript/fonts/bchb.pfa
/usr/share/ghostscript/fonts/bchbi.pfa
/usr/share/ghostscript/fonts/bchr.pfa
/usr/share/ghostscript/fonts/bchri.pfa
/usr/share/ghostscript/fonts/hrger.pfa
/usr/share/ghostscript/fonts/hrgrr.pfa
/usr/share/ghostscript/fonts/hritr.pfa
/usr/share/ghostscript/fonts/hrpld.pfa
/usr/share/ghostscript/fonts/hrpldi.pfa
/usr/share/ghostscript/fonts/hrplt.pfa
/usr/share/ghostscript/fonts/hrplti.pfa
/usr/share/ghostscript/fonts/hrscc.pfa
/usr/share/ghostscript/fonts/hrscs.pfa
/usr/share/ghostscript/fonts/putb.pfa
/usr/share/ghostscript/fonts/putbi.pfa
/usr/share/ghostscript/fonts/putr.pfa
/usr/share/ghostscript/fonts/putri.pfa
/usr/share/ghostscript/fonts/fhirw.pfm
/usr/share/ghostscript/fonts/fkarw.pfm
/usr/share/ghostscript/fonts/u003043t.pfm
/usr/share/ghostscript/fonts/u004006t.pfm

%files -n ghostscript-fonts-rus
%defattr(0644,root,root,0755)
%doc %{_defaultdocdir}/ghostscript/README.rusfonts
%doc %{_defaultdocdir}/ghostscript/rusps.txt
%dir /usr/share/ghostscript/fonts
/usr/share/ghostscript/fonts/arial8.afm
/usr/share/ghostscript/fonts/arial8.pfb
/usr/share/ghostscript/fonts/arial8.pfm
/usr/share/ghostscript/fonts/arialbd8.afm
/usr/share/ghostscript/fonts/arialbd8.pfb
/usr/share/ghostscript/fonts/arialbd8.pfm
/usr/share/ghostscript/fonts/arialbi8.afm
/usr/share/ghostscript/fonts/arialbi8.pfb
/usr/share/ghostscript/fonts/arialbi8.pfm
/usr/share/ghostscript/fonts/ariali8.afm
/usr/share/ghostscript/fonts/ariali8.pfb
/usr/share/ghostscript/fonts/ariali8.pfm
/usr/share/ghostscript/fonts/cokoi8b.afm
/usr/share/ghostscript/fonts/cokoi8b.pfb
/usr/share/ghostscript/fonts/cokoi8b.pfm
/usr/share/ghostscript/fonts/cokoi8bi.afm
/usr/share/ghostscript/fonts/cokoi8bi.pfb
/usr/share/ghostscript/fonts/cokoi8bi.pfm
/usr/share/ghostscript/fonts/cokoi8i.afm
/usr/share/ghostscript/fonts/cokoi8i.pfb
/usr/share/ghostscript/fonts/cokoi8i.pfm
/usr/share/ghostscript/fonts/cokoi8n.afm
/usr/share/ghostscript/fonts/cokoi8n.pfb
/usr/share/ghostscript/fonts/cokoi8n.pfm
/usr/share/ghostscript/fonts/cour8.afm
/usr/share/ghostscript/fonts/cour8.pfb
/usr/share/ghostscript/fonts/cour8.pfm
/usr/share/ghostscript/fonts/courbd8.afm
/usr/share/ghostscript/fonts/courbd8.pfb
/usr/share/ghostscript/fonts/courbd8.pfm
/usr/share/ghostscript/fonts/courbi8.afm
/usr/share/ghostscript/fonts/courbi8.pfb
/usr/share/ghostscript/fonts/courbi8.pfm
/usr/share/ghostscript/fonts/couri8.afm
/usr/share/ghostscript/fonts/couri8.pfb
/usr/share/ghostscript/fonts/couri8.pfm
/usr/share/ghostscript/fonts/times8.afm
/usr/share/ghostscript/fonts/times8.pfb
/usr/share/ghostscript/fonts/times8.pfm
/usr/share/ghostscript/fonts/timesbd8.afm
/usr/share/ghostscript/fonts/timesbd8.pfb
/usr/share/ghostscript/fonts/timesbd8.pfm
/usr/share/ghostscript/fonts/timesbi8.afm
/usr/share/ghostscript/fonts/timesbi8.pfb
/usr/share/ghostscript/fonts/timesbi8.pfm
/usr/share/ghostscript/fonts/timesi8.afm
/usr/share/ghostscript/fonts/timesi8.pfb
/usr/share/ghostscript/fonts/timesi8.pfm

%files -n libgimpprint
/usr/bin/gimpprint-config
%{_libdir}/libgimpprint*
/usr/share/locale/*/LC_MESSAGES/gimp-print.mo

%files -n libgimpprint-devel
/usr/share/aclocal/gimpprint.m4
/usr/include/gimp-print
/usr/bin/gimpprint-config
%doc %{_mandir}/man*/gimpprint*
%doc %{_infodir}/gimpprint.*
%endif # if not ghostscript-mini

%changelog -n ghostscript-library
* Fri Mar 26 2004 - mfabian@suse.de
- more fixes for reopened Bugzilla #36778:
  set "/isFixedPitch true" for all variants of "Nimbus Mono L"
* Wed Mar 24 2004 - werner@suse.de
- Choose initial modular memory chunk size to avoid crash (#35906)
* Wed Mar 24 2004 - mfabian@suse.de
- Bugzilla #36778:
  add gnu-gs-fonts-std-8.11.patch to change the weight of
  "Nimbus Roman No9 L:style=Medium Italic"
  and "Nimbus Roman No9 L:style=Medium" back to "Bold" again
  instead of "Medium".
  As the patch is applied after converting to .pfa, t1utils
  is added to "# neededforbuild".
* Fri Mar 19 2004 - mfabian@suse.de
- ghostscript-fonts-std subpackage:
  run SuSEconfig.fonts in %%post and %%postun,
  use %%suseconfig_fonts_prereq
* Thu Mar 18 2004 - werner@suse.de
- New eplaser 3.1.3 with better support gs-7.x (request of Sun)
* Tue Mar 16 2004 - werner@suse.de
- Fix cast trouble on 64 bit architectures (bug #35798)
* Thu Mar 11 2004 - werner@suse.de
- Change standard fonts from version 6.0 to 8.11 (bug #35699)
* Tue Mar 02 2004 - werner@suse.de
- Simply skip the malloc patch on ppc to fix bug #35028
* Thu Feb 26 2004 - werner@suse.de
- Correct gimp-print version number
- Fix bug #35028 by overwriting the autodetected aligment of jmpbuf
- Add patch for gs_ttf.ps which may help on some 12 cmap ttf fonts
* Wed Feb 11 2004 - werner@suse.de
- Update gimp-print to 4.2.6
- Be sure that _all_ stuff is compiled with -fno-strict-aliasing
- Enable FLAGS even for all trees
- Make aclocal.m4 of Omni more upto date
* Sun Jan 18 2004 - meissner@suse.de
- Fixed some losssage from last autoconf upgrade by removing
  AC_OUTPUT for directories that are not present.
* Wed Jan 14 2004 - werner@suse.de
- Add hijs cahnges for new gcc-3.4 because of trouble with
  referenced objects and simple types.
* Wed Dec 10 2003 - werner@suse.de
- Mask tilde in sed command of ps2epsi script (bug #32488)
* Thu Aug 28 2003 - werner@suse.de
- Move to the cups crash patch from the CUPS team
* Wed Aug 27 2003 - mfabian@suse.de
- Bugzilla #29127: add similar patch to Werner's patch
  which loads Fontmap files with ".runlibfile" only if they exist
  also to the code which loads CIDFnmap files.
* Mon Aug 18 2003 - werner@suse.de
- Fix `-c' option: allow empty space between option and argument
* Fri Aug 15 2003 - kukuk@suse.de
- Add %%verify tag for fonts.{dir,scale} to make rpm -V quiet
- Use %%defattr
* Thu Aug 14 2003 - werner@suse.de
- Update to espgs-7.07.1rc1
- Update to OMNI 0.9.0
- Update to (HP)IJS 1.4.1
* Mon Aug 04 2003 - mfabian@suse.de
- add more fixes from the gs-cjk mailing list to gs_ttf.ps to
  make vertical printing work correctly with the kochi-substitute
  fonts.
* Mon Jul 28 2003 - mfabian@suse.de
- Add gs_ttf.ps-make-kochi-substitute-work.patch from gs-cjk
  mailing list to make ghostscript-cjk work with the
  kochi-substitute fonts.
* Mon Jul 21 2003 - meissner@suse.de
- Added new GLIB search path.
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist (add missing directories)
* Tue Jun 10 2003 - okir@suse.de
- security fix for (%%pipe%%) file commands [#27300]
* Wed Jun 04 2003 - ro@suse.de
- also disable pre/post scripts for subpacks in -mini case
* Mon Jun 02 2003 - ro@suse.de
- completely disable subpacks in -mini case
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu May 15 2003 - kukuk@suse.de
- Fix Filelist (add missing directory)
* Wed May 14 2003 - ro@suse.de
- libtoolize in omni subdir
* Thu May 08 2003 - mfabian@suse.de
- remove gnu-gs-fonts-std-6.0.patch (obsolete, because
  fonts.{dir,scale} are now autogenerated by
  mkfontscale/fonts-config)
- add fonts.scale.nimbus-sans-condensed as an override for
  the condensed versions of "Nimbus Sans" which mkfontscale
  cannot distinguish from the "normal" versions. Maybe this
  can be fixed in future versions of mkfontscale?
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 13 2003 - ro@suse.de
- removed epoch
* Mon Mar 10 2003 - werner@suse.de
- Fix sigsegv within gdevcups.c (bug #24872)
* Tue Mar 04 2003 - werner@suse.de
- Fix buf #23785: include fonts into source rpm due space on DVD
* Fri Feb 28 2003 - werner@suse.de
- Fix Font Resource Path (is not identical to normal fonts path)
* Wed Feb 26 2003 - kssingvo@suse.de
- fixed permissions of cups related files and directories
* Tue Feb 25 2003 - ro@suse.de
- export LC_CTYPE during build
  (works around not specifying charset in message catalogs)
* Mon Feb 24 2003 - ro@suse.de
- fixed build for x86_64 (copy config.sub/guess from Omni for hpijs)
* Thu Feb 20 2003 - werner@suse.de
- Remove lxm3200 driver source because espgs-7.05.6 already
  includes them (bug #23890)
* Mon Feb 17 2003 - mfabian@suse.de
- add "(Fontmap.X11-auto) .runlibfile" to
  /usr/share/ghostscript/*/lib/Fontmap. It's added on top to
  give the autogenerated Fontmap.X11-auto lowest priority. The
  Fontmap files included later may contain manually
  edited/packaged entries and should override anything generated
  automatically.
* Sat Feb 15 2003 - ro@suse.de
- run configure in main src dir to create gs_res.ps
* Fri Feb 14 2003 - werner@suse.de
- Make it build
- Fix bug #23432: use install_info rpm macro
* Thu Feb 13 2003 - werner@suse.de
- Update versions: espgs 7.05.6, Omni 0.7.2, ijs 1.3.1,
  gimp-print 4.2.5
- Fix bug #23266: remove -mminimal-toc from opt flags for ppc64
* Wed Nov 20 2002 - werner@suse.de
- Add switches for the internal mini ghostscript to the spec file
* Wed Nov 13 2002 - mfabian@suse.de
- Bug #18817: Add gs_ttf.ps.patch
  to handle fonts with overlapping CMap 4 ranges
- add gs_ref.ps.patch to set
  FontResourceDir to /usr/share/ghostscript/Resource/Font/ and
  GenericResourceDir to /usr/share/ghostscript/Resource/
- remove sub-package ghostscript-fonts-kanji
- remove all sub-packages CID* and CMap*
  (will come back from a different .spec file)
* Tue Nov 12 2002 - ro@suse.de
- use "x-devel-packages XFree86" instead of "xf86" in neededforbuild
- XFree86 package is needed for mkcfm
* Tue Sep 03 2002 - schwab@suse.de
- Use /dev/urandom instead of /dev/random to avoid blocking if
  system runs out of entropy.
* Tue Sep 03 2002 - kukuk@suse.de
- Remove unused gdb from neededforbuild
* Fri Aug 30 2002 - werner@suse.de
- Fix segmentation fault within cups driver (bug #18475)
- Fix pcl part of gimp-print library (bug #18475)
- Add new driver mainly for japanese market
* Wed Aug 28 2002 - werner@suse.de
- Avoid rpm macro in Version line
* Fri Aug 23 2002 - werner@suse.de
- Fix crash in gimp-print lexmark driver
* Fri Aug 23 2002 - werner@suse.de
- Fix segmentation fault of gs in combination with gv and antialias
  (bug #18091)
* Thu Aug 15 2002 - werner@suse.de
- Fix pre-requires (bug #17849/#17850/#17851)
* Wed Aug 14 2002 - werner@suse.de
- ghostscript-library provides pstoraster (bug #17703)
* Tue Aug 13 2002 - werner@suse.de
- Add missed pstoraster script and gs device cups (bug #17636)
* Fri Aug 09 2002 - meissner@suse.de
- Fixed automake problem in Omni libs.
* Tue Aug 06 2002 - schwab@suse.de
- Fix alignment bug again.
* Tue Aug 06 2002 - meissner@suse.de
- Run libtoolize on Omni, use -mminimal-toc for ppc64.
* Tue Aug 06 2002 - aj@suse.de
- Build ijs with -fPIC so that the lib uses PIC code.
* Mon Aug 05 2002 - werner@suse.de
- Fix library path of the pkgconfig file gimpprint.pc of gimpprint
- Fix description in PBD
* Tue Jul 30 2002 - werner@suse.de
- Update to ESP Ghostscript 7.05.3
  * Add missing/old drivers
- Update to Omni 0.7.0
- Update to gimp-print 4.3.3
- Update to hpijs 1.2
- Make it compile on 32bit and 64bit architectures
* Fri Jul 19 2002 - kukuk@suse.de
- Remove readline-devel and openssl from neededforbuild, currently
  not needed
* Thu Jul 11 2002 - mls@suse.de
- Don't remove URW directory in preinstall if it already is
  a symlink.
* Thu Jul 04 2002 - werner@suse.de
- Diable security setting in ps2epsi.ps ... enabled version
  does not do the work for ps2epsi script (bug # 16739).
* Fri Jun 07 2002 - schwab@suse.de
- Reenable OMNI.
* Fri Jun 07 2002 - ro@suse.de
- use a define for building omni
- fix filelist according to define
* Thu Jun 06 2002 - werner@suse.de
- Disable OMNI part due new gcc seems to break the XML parser
* Mon May 20 2002 - schwab@suse.de
- Fix conflicting types.
- Fix invalid casts.
* Fri May 10 2002 - werner@suse.de
- Fix broken ps2epsi (bug #16146)
* Fri May 10 2002 - ro@suse.de
- complete Omni fix (same code needed in DeviceTester8.cpp)
* Wed May 08 2002 - werner@suse.de
- Reenable OMNI part (thanks to ro@suse.de for THE patch)
* Wed May 08 2002 - werner@suse.de
- Disable OMNI part and wait on a working compiler
* Tue May 07 2002 - werner@suse.de
- Make it compile even on ia64
* Tue Apr 30 2002 - werner@suse.de
- Try to get libgimprint into the correct libdir on 64bits
* Mon Apr 29 2002 - werner@suse.de
- Move -fPIC patch into Omni patch
- Try to resolve all cast's of pointer addresses
* Fri Apr 26 2002 - meissner@suse.de
- added -fPIC to libomni.so compilation, makes x86_64 compile further.
* Thu Mar 21 2002 - mfabian@suse.de
- add entries for 'iso8859-15' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-15' completely, only the entries are
  missing to make them usable as 'iso8859-15' fonts in X11
  (for example with 'dia').
* Fri Mar 15 2002 - mfabian@suse.de
- readded (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap. Somehow this entry got
  lost
* Wed Mar 13 2002 - werner@suse.de
- Fix bug in hpijs/ijs interface: Use correct margins and sizes
* Fri Mar 08 2002 - kukuk@suse.de
- Add /usr/share/ghostscript to filelist
* Fri Mar 08 2002 - kukuk@suse.de
- Add %%{_libdir}/ghostscript to filelist
* Thu Mar 07 2002 - werner@suse.de
- Fix nasty space in file name kludge for Omni drivers
* Fri Mar 01 2002 - mfabian@suse.de
- add entries for 'iso8859-2' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-2' completely, only the entries are
  missing to make them usable as 'iso8859-2' fonts in X11
  (for example with 'dia').
- correct directory name in 'echo' in %%post/%%postun scripts
  for the CID-keyed fonts
* Thu Feb 28 2002 - werner@suse.de
- Fix bug #14034: ghostscript should remove its scratch files from
  /tmp at exit.
* Tue Feb 26 2002 - werner@suse.de
- Remove cups build dependencies
* Fri Feb 22 2002 - werner@suse.de
- Switch to hpijs-1.0.3 compatible with new ijs interface of
  ghostscript 6.53
* Thu Feb 21 2002 - werner@suse.de
- Disable the new IJS setup of ghostscript 6.53: IT DOES NOT WORK
* Tue Feb 19 2002 - werner@suse.de
- Remove cups-drivers-stp from ghostscript main stream, we've
  just an other package
- Do NOT use the new gdevijs.c/gdevijs.h: They do NOT work
  with hpijs-1.0.2
* Mon Feb 18 2002 - schwab@suse.de
- Fix for gcc 3.
* Fri Feb 15 2002 - werner@suse.de
- Update to ghostscript 6.53 including update to gimprint 4.2.0
  due security reasons (PostScript code execution).  Official
  support of ijs and stp (libgimprint), better cjk support.
* Sun Feb 10 2002 - ro@suse.de
- new option for bz2 tar is "j"
* Fri Feb 01 2002 - mfabian@suse.de
- add (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap (xfntgreek installs
  a /usr/share/ghostscript/6.51/lib/Fontmap.greek)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 30 2002 - werner@suse.de
- Update of sub drivers
  + Omni-0.5.1
  + hpijs-1.0.2
- Include of sub drivers
  + pcl3-3.3
  + s400a1.upp: Canon S400
  + s400b1.upp: Canon S400
  + sharp_aj1800.upp: SHARP AJ1800
  + eplaseren-1.0.4 adapted to ghostscript 6.51
  + samsung-gdi with renaming DEVICE from `gdi' to `samsunggdi'
- Fix make.catalog and make.lost to use gs_serv instead of gs_both
* Tue Jan 29 2002 - sndirsch@suse.de
- reverted URW changes; /usr/X11R6/lib/X11/fonts/URW is now a link
  again to /usr/share/ghostscript/fonts; problems with .gsf files
  now fixed in freetype2 lib
* Wed Jan 23 2002 - sndirsch@suse.de
- added the symbolic links in /usr/X11R6/lib/X11/fonts/URW to the
  correct font package
* Fri Jan 18 2002 - ro@suse.de
- fixed postinstall
* Thu Jan 17 2002 - sndirsch@suse.de
- replaced /usr/X11R6/lib/X11/fonts/URW link with a directory in
  which there are links to ghostscript Type1 fonts; fixes bug
  in freetype2 library, which is triggered by .gsf files
* Wed Jan 16 2002 - froh@suse.de
- added lib64 conformance
* Sun Jan 13 2002 - mfabian@suse.de
- remove %%post and %%postun for CID-keyed fonts, it is enough
  when SuSEconfig updates the font directory, better don't
  duplicate the code here.
* Sat Nov 10 2001 - ro@suse.de
- removed subpackages _both and _vga since svgalib is dropped
* Tue Oct 16 2001 - werner@suse.de
- Make Omni source compiling even with gcc 3.0 compiler
* Sat Oct 13 2001 - bjacke@suse.de
- don't build gimpprint plugin (autobuild slowdown due to gtk dependency)
* Sun Oct 07 2001 - bjacke@suse.de
- new subpackages libgimpprint(-devel), gimpprint
- now build gimpprint with-cups as cups needs gimpprint support,
  this stuff is in subpackage cups-drivers-stp
- build with-gimp: Gimp's print plugin is now in a separate package
  and linked against libgimpprint
* Fri Sep 07 2001 - werner@suse.de
- Add upp file for Sharp AJ1800
* Tue Aug 14 2001 - werner@suse.de
- Disable readline option due this one leads to chrashes
  if inlined graphic is used.
* Mon Aug 13 2001 - mfabian@suse.de
- activated the entries for the CID-keyed fonts which were
  commented out in Fontmap.CID because they crashed gs 5.50.
  gs 6.51 handles this fine, we can now use these entries.
* Tue Jul 31 2001 - schwab@suse.de
- Make sure the ghostscript allocator properly aligns for jmp_buf (needed
  on ia64).
* Tue Jul 24 2001 - kukuk@suse.de
- Add old provides back
* Mon Jul 23 2001 - werner@suse.de
- Bug fixes: find Fontmaps even if not in current directory
- Correct dependencies
* Fri Jul 06 2001 - werner@suse.de
- Use target cpu instead of architecture
* Fri Jul 06 2001 - werner@suse.de
- Minor fixes for multi architecture build runs
* Thu Jul 05 2001 - werner@suse.de
- Update to GNU ghostscript 6.51
- Update to Omi 0.3.1
- Update to gimp print 4.1.10
- Add several uniprint epson parameter files
- Split gdevcd8.c into gdevcd8-cdj880.c, gdevcd8-chp2200.c, and
  the new original gdevcd8.c.
- Rename packages into long name versions
- Make it work
* Tue May 08 2001 - mfabian@suse.de
- bzip2 most sources
* Thu May 03 2001 - werner@suse.de
- Update hpijs drvire from 0.93 to 0.95
- Add chp2200 driver
* Tue Apr 17 2001 - werner@suse.de
- Fix manual page: tab as pre-processor needed
* Wed Apr 11 2001 - werner@suse.de
- Use LD_RUN_PATH to set /usr/lib/ghostscript/ as loading
  path for Omni modules
* Tue Apr 10 2001 - werner@suse.de
- Add Omni driver collection, integrate and test them
- Add pdf_sec.ps
* Fri Mar 30 2001 - uli@suse.de
- replaced hardwired endianness in hpijs with sth more sensible
* Mon Mar 26 2001 - werner@suse.de
- Update of hpijs driver package
* Wed Mar 07 2001 - werner@suse.de
- We need a full X environment at build
* Thu Feb 22 2001 - werner@suse.de
- Add hpijs driver package
* Wed Dec 20 2000 - ro@suse.de
- reduce size of source-package by marking adobe-fonts as NoSource
* Wed Dec 20 2000 - werner@suse.de
- Mark all fonts archives as NoSource
- Update manual page of stp driver to fit new version
* Tue Dec 19 2000 - egger@suse.de
- Updated the stp driver to 4.1.0.
* Tue Nov 28 2000 - mfabian@suse.de
- improved %%post and %%postun scripts for CID-keyed fonts:
  don't try to run mkfontdir during the install of the whole
  operating system.
* Tue Nov 28 2000 - mfabian@suse.de
- when adding the .cfm files I made a mistake in generating
  the filelists which resulted in not packing the .cfm files and
  .afm files at all. This makes the use of these fonts really
  slow. Now fixed.
* Mon Nov 27 2000 - mfabian@suse.de
- added the Fontmap entries for the free CID keyed fonts from
  Adobe again. They seem to have been lost during merging.
* Mon Nov 27 2000 - mfabian@suse.de
- generated .cfm files for CID-keyed fonts with mkcfm
- shortened Fontmaps for CID-keyed fonts to avoid crashes of
  gs 5.50
* Thu Nov 23 2000 - werner@suse.de
- make mandir during install dynamically
* Wed Nov 22 2000 - werner@suse.de
- Use returned file descriptor of mkstemp(3) with fdopen(3)
* Wed Nov 15 2000 - werner@suse.de
- Correct return type of declared mkstemp(3)
* Wed Nov 15 2000 - werner@suse.de
- New meta driver stp
- Add driver for lexmark 7000, 5700, 3200, and 2050
- Use mkstemp and not mktemp
- Remove LD_RUN_PATH
* Fri Nov 10 2000 - mfabian@suse.de
- added free CID keyed sample fonts from Adobe.
  (Korean, Japanese, and traditional Chinese)
- made these fonts available for X11 too.
* Wed Sep 27 2000 - mfabian@suse.de
- added Korean Munhwa fonts (CID keyed fonts).
* Wed Jun 21 2000 - werner@suse.de
- New driver for HP 970Cxi, bjc6000/bjc6100
* Sat May 27 2000 - kukuk@suse.de
- use docdir macro
* Wed Apr 05 2000 - bk@suse.de
- added s390 to non-svgalib architectures
* Mon Mar 06 2000 - schwab@suse.de
- Don't build gs_vga and gs_both on ia64.
* Wed Feb 23 2000 - werner@suse.de
- Swap tranfer curves of Cyan and Magenta
* Tue Feb 22 2000 - werner@suse.de
- Install gs_both
* Mon Feb 21 2000 - werner@suse.de
- Remove CMYK color patch: on some devices it fails
* Mon Feb 21 2000 - werner@suse.de
- New version 5.50 with many bug fixes
- New drivers (cdj880, cljet5, dl2100, oki4w, stc740*.upp)
* Sat Nov 27 1999 - kukuk@suse.de
- Don't build gs_both/gs_svga on SPARC (no svgalib)
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added Provides/Requires ghostscript_any ghostscript_x11
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 08 1999 - werner@suse.de
- fix png.h path
* Fri Jun 18 1999 - werner@suse.de
- Backport of a bug fix for 5.50
* Fri Apr 16 1999 - werner@suse.de
- last character is ; at the end of a font declaration
* Fri Apr 16 1999 - werner@suse.de
- Insert missing %% into spec
* Tue Apr 13 1999 - werner@suse.de
- Add russian fonts
* Thu Mar 18 1999 - ro@suse.de
- fixed spec
* Fri Mar 05 1999 - werner@suse.de
- Use Type1 fonts of ghostscript for X11
* Tue Feb 23 1999 - werner@suse.de
- Again backport of some bug fixes for gs5.50
- Hold our, the official fixes, and the backports in different patches
* Mon Jan 11 1999 - werner@suse.de
- Backport some bug fixes for gs5.50
* Sun Dec 20 1998 - werner@suse.de
- New ghostscript GNU version 5.10
* Fri Dec 04 1998 - werner@suse.de
- New hpdj driver 2.5
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file (doubel entry Summary)
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Mon Oct 19 1998 - werner@suse.de
- Add kanji fonts
* Thu Oct 15 1998 - werner@suse.de
- Small fix: allow 720 DPI for bjc600/800
* Wed Oct 14 1998 - werner@suse.de
- Backport a bug into bjc600/800 driver:
  possible resolutions for bjc800 are 150/300/600
* Tue Aug 04 1998 - werner@suse.de
- Backport some bug fixes of gs5.10
* Thu Jul 09 1998 - werner@suse.de
- Fix ps2epsi exploit
* Mon Jul 06 1998 - werner@suse.de
- New hp850 driver: hp8xx (including HP 855, 870 670, 690, 890,
  1100, and 1600)
- Use shared libraries vor png and zlib.
* Thu Jun 18 1998 - werner@suse.de
- Change from  Aladdin 4.03 to GNU 40.3
- Some Bug fixes
- NewNew driver hl7x0 for Brother HL720 and HL730
* Fri May 15 1998 - werner@suse.de
- Update the hpdj drivers (2.4)
- Add gdev820c (0.1.3, 0.2 may unstable)
* Mon Feb 23 1998 - werner@suse.de
- Update hpdj driver to version 2.3
- Fix path in manual pages
- Use 24 bit color depth for cdeskjet
- Use BJC-600/800 driver version 6/7/96
- Add missing start lines of PS files,
  add path for cheq.ps in chess.ps
- Fix of zmedia2.c (comming with hpdj)
- Add -Dconst= in compile options
- Some minor changes
* Tue Jul 29 1997 - werner@suse.de
- Change default type of hpdj driver to unspec
* Thu Jun 26 1997 - werner@suse.de
- 42 ... type42
* Mon Jun 23 1997 - werner@suse.de
- Add hpdj printer driver
- Use -DA4 for compile the binary
* Mon Feb 10 1997 - werner@suse.de
- Some Bug fixes for 4.03 integrated
- New experimental driver for hp djet 850 added
  read /usr/share/ghostscript/4.03/doc/hp850.txt
* Thu Jan 02 1997 - werner@suse.de
- Update auf Version 4.03
